local debug = false
--[===[@alpha@
debug = true
--@end-alpha@]===]
local L = LibStub("AceLocale-3.0"):GetLocale("AchScreenshotter2", not debug)

local mod = AchScreenshotter2
local addonname = "AchScreenShotter2"

-- @usage prueft ob es ein 10ner level war: 10, 20, 30, 40, 50, 60, 70, 80
function AchScreenshotter2:levelup_function(level)
  if (not mod.sv.levelup.ten) or ((level%10) == 0)  then
    mod:take_screenshot("levelup", mod.sv.levelup.hideui, mod.sv.delay)
  end
end

function AchScreenshotter2:getleveloptions()
  local version = GetAddOnMetadata(addonname, "X-Curse-Packaged-Version") or ""
  local leveloptions = {
        name = L["Level"].." "..version,
        type = "group",
        --desc = L["level options"],
        args = {
          level_enable = {
            name = L["level up enable"],
            type = "toggle",
            order = 21,
            desc = L["level up enable desc"],
            get = function() return mod.sv.levelup.enable end,
            set = function(_, val)
              mod.sv.levelup.enable = val
              mod:RefreshConfig()
              end,
            },
          hideui ={
            name = L["hideui enable"],
            type = "toggle",
            order = 22,
            desc = L["hideui desc"],
            get = function() return mod.sv.levelup.hideui end,
            set = function(_, val)
              mod.sv.levelup.hideui = val
              end,
            },
          header = {
            name = L["misc"],
            type = "header",
            order = 23,
          },
          level_ten = {
            name = L["level only % 10"],
            type = "toggle",
            order = 24,
            desc = L["level only % 10 desc"],
            get = function() return mod.sv.levelup.ten end,
            set = function(_, val)
              mod.sv.levelup.ten = val
              end,
            },

          }
        }
return leveloptions
end