local debug = false
--[===[@alpha@
debug = true
--@end-alpha@]===]
local L = LibStub("AceLocale-3.0"):GetLocale("AchScreenshotter2", not debug)

local mod = AchScreenshotter2
local addonname = "AchScreenShotter2"

-- @usage prueft ob die system message etwas mit ruf zu tun hatte
-- [00:52:01] You are now Exalted with Tranquillien.
function AchScreenshotter2:reputation_function(_, msg)
  --print("reputation test " .. msg)
  if (string.find(msg, L["reputation string 1(You are now)"]) and string.find(msg, L["reputation string 2(with)"])) then
		if not (mod.sv.reputation.onlyexalted) or (string.find( msg, L["Exalted"])) then
      mod:take_screenshot("reputation", mod.sv.reputation.hideui, mod.sv.delay)
		end
	end
end

function AchScreenshotter2:getreputationoptions()
  local version = GetAddOnMetadata(addonname, "X-Curse-Packaged-Version") or ""
  local reputationoptions = {
        name = L["Reputation"].." "..version,
        type = "group",
        --desc = L["reputation options"],
        args = {
          reputation_enable = {
            name = L["reputation enable"],
            type = "toggle",
            order = 31,
            desc = L["reputation enable desc"],
            get = function() return mod.sv.reputation.enable end,
            set = function(_, val)
              mod.sv.reputation.enable = val
              mod:RefreshConfig()
              end,
            },
          hideui ={
            name = L["hideui enable"],
            type = "toggle",
            order = 32,
            desc = L["hideui desc"],
            get = function() return mod.sv.reputation.hideui end,
            set = function(_, val)
              mod.sv.reputation.hideui = val
              end,
            },
          header = {
            name = L["misc"],
            type = "header",
            order = 33,
          },
          reputation_exalted = {
            name = L["exalted only"],
            type = "toggle",
            order = 34,
            desc = L["exalted only desc"],
            get = function() return mod.sv.reputation.onlyexalted end,
            set = function(_, val)
              mod.sv.reputation.onlyexalted = val
              end,
            },
          }
        }
return reputationoptions
end
